%define upstream_name    HTTP-Server-Simple-Authen
%define upstream_version 0.04

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8

Summary:    Authentication plugin for HTTP::Server::Simple
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/HTTP/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Authen::Simple)
BuildRequires: perl(HTTP::Server::Simple)
BuildRequires: perl(Test::More)
BuildArch: noarch


%description
HTTP::Server::Simple::Authen is an HTTP::Server::Simple plugin to allow
HTTP authentication. Authentication scheme is pluggable and you can use
whatever Authentication protocol that Authen::Simple supports.

You can use 'authenticate' method whatever you want to authenticate the
request. The method returns '$username' taken from the request if the
authentication is successful, and 'undef' otherwise. The code in the
/SYNOPSIS manpage requires authentication for all the requests and behaves
just the same as Apache's 'Require valid-user'.

The following code will explain more about conditioning.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc META.yml Changes
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.40.0-8.mga6
+ Revision: 1028449
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.40.0-7.mga6
+ Revision: 949115
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 0.40.0-6.mga5
+ Revision: 789110
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.40.0-5.mga5
+ Revision: 739149
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.40.0-4.mga5
+ Revision: 685015
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.40.0-3.mga4
+ Revision: 512108
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.40.0-2.mga3
+ Revision: 368332
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 23 2011 jquelin <jquelin> 0.40.0-1.mga1
+ Revision: 33844
- mageia rebuild
- imported package perl-HTTP-Server-Simple-Authen


* Wed Aug 04 2010 Guillaume Rousse <guillomovitch@mandriva.org> 0.40.0-1mdv2011.0
+ Revision: 565894
- import perl-HTTP-Server-Simple-Authen


* Wed Aug 04 2010 cpan2dist 0.04-1mdv
- initial mdv release, generated with cpan2dist
